package de.duehl.algorithm.backtracking.subsets;

import de.duehl.algorithm.backtracking.AlgorithmSolutionStep;

public class SubsetStep implements AlgorithmSolutionStep {

    private final int index;

    public SubsetStep(int index) {
        this.index = index;
    }

    public int getIndex() {
        return index;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + index;
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        SubsetStep other = (SubsetStep) obj;
        if (index != other.index)
            return false;
        return true;
    }


}
