package de.duehl.math.graph.ged.ui.elements;

import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import de.duehl.math.graph.ged.ui.GuiElements;
import de.duehl.math.graph.ged.ui.graphpanel.EditModus;

/**
 * Diese Klasse stellt einen MouseListener für die Schalter für den gewählten Bearbeitungsmodus
 * dar.
 *
 * @version 1.01     2019-06-14
 * @author Christian Dühl
 */

public class ModusButtonMouseListener implements MouseListener {

    private final EditModus modus;
    private final GuiElements elements;

    public ModusButtonMouseListener(EditModus modus, GuiElements elements) {
        this.modus = modus;
        this.elements = elements;
    }

    @Override
    public void mouseClicked(MouseEvent event) {
    }

    @Override
    public void mouseEntered(MouseEvent event) {
        elements.getStatusLabel().setText(modus.getDescription());
    }

    @Override
    public void mouseExited(MouseEvent event) {
        elements.getStatusLabel().setText("");
    }

    @Override
    public void mousePressed(MouseEvent event) {
        ModusActivator activator = new ModusActivator(elements);
        activator.activate(modus);
    }

    @Override
    public void mouseReleased(MouseEvent event) {
    }

}
