package de.duehl.math.graph.ged.graph.edge;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/**
 * Diese Klasse stellt die Kanten eines Graphen, die von einer Ecke ausgehen, in Form einer Menge
 * von Indices der benachbarten Ecken.
 *
 * @version 1.01     2019-05-20
 * @author Christian Dühl
 */

public class AdjacenceList implements Iterable<AdjacenceEntry> {

    /*
     * TODO : überall suchen nach List<AdjacenceEntry> im ganzen Projekt!
     */

    /**
     * Adjazenzliste: Für den zugehörigen Knoten wird eine Liste der Nachfolger in Form ihrer
     * Indices entlang gerichteter Kanten abgespeichert.
     */
    List<AdjacenceEntry> adjacenceList;

    public AdjacenceList() {
        adjacenceList = new ArrayList<>();
    }

    public int size() {
        return adjacenceList.size();
    }

    @Override
    public Iterator<AdjacenceEntry> iterator() {
        return adjacenceList.iterator();
    }

    public void add(AdjacenceEntry entry) {
        adjacenceList.add(entry);
    }

    public void remove(int index) {
        adjacenceList.remove(index);
    }

    public AdjacenceEntry get(int index) {
        return adjacenceList.get(index);
    }

    public void clear() {
        adjacenceList.clear();
    }

    public boolean containsNeighbourIndex(int neighbourIndex) {
        for (AdjacenceEntry entry : adjacenceList) {
            int neighbourIndexOfEntry = entry.getNeighbourIndex();
            if (neighbourIndex == neighbourIndexOfEntry) {
                return true;
            }
        }
        return false;
    }

}
