package de.duehl.math.geometry.discrete;

/*
 * Copyright 2018 Christian Dühl. All rights reserved.
 *
 * This program is free software. You can redistribute it and/or
 * modify it under the same terms as perl:
 *
 * general:  http://dev.perl.org/licenses/
 * GPL:      http://dev.perl.org/licenses/gpl1.html
 * artistic: http://dev.perl.org/licenses/artistic.html
 */

import static org.junit.Assert.*;

import java.util.List;

import org.junit.Test;

public class SymbolTest {

    @Test
    public void createOrdnung2() {
        int order = 2;
        int numberOfLines = FiniteProjectivePlane.numberOfLines(order);
        assertEquals(7, numberOfLines);

        List<Symbol> symbols = Symbol.createSymbols(numberOfLines);
        assertEquals(numberOfLines, symbols.size());

        assertTrue(symbols.get(0).hasSymbol("A"));
        assertTrue(symbols.get(1).hasSymbol("B"));
        assertTrue(symbols.get(2).hasSymbol("C"));
        assertTrue(symbols.get(3).hasSymbol("D"));
        assertTrue(symbols.get(4).hasSymbol("E"));
        assertTrue(symbols.get(5).hasSymbol("F"));
        assertTrue(symbols.get(6).hasSymbol("G"));
    }

    @Test
    public void createOrdnung3() {
        int order = 3;
        int numberOfLines = FiniteProjectivePlane.numberOfLines(order);
        assertEquals(13, numberOfLines);

        List<Symbol> symbols = Symbol.createSymbols(numberOfLines);
        assertEquals(numberOfLines, symbols.size());

        assertTrue(symbols.get(0).hasSymbol("A"));
        assertTrue(symbols.get(1).hasSymbol("B"));
        assertTrue(symbols.get(2).hasSymbol("C"));
        assertTrue(symbols.get(3).hasSymbol("D"));
        assertTrue(symbols.get(4).hasSymbol("E"));
        assertTrue(symbols.get(5).hasSymbol("F"));
        assertTrue(symbols.get(6).hasSymbol("G"));
        assertTrue(symbols.get(7).hasSymbol("H"));
        assertTrue(symbols.get(8).hasSymbol("I"));
        assertTrue(symbols.get(9).hasSymbol("J"));
        assertTrue(symbols.get(10).hasSymbol("K"));
        assertTrue(symbols.get(11).hasSymbol("L"));
        assertTrue(symbols.get(12).hasSymbol("M"));
    }

    @Test
    public void createOrdnung4() {
        int order = 4;
        int numberOfLines = FiniteProjectivePlane.numberOfLines(order);

        List<Symbol> symbols = Symbol.createSymbols(numberOfLines);
        assertEquals(21, numberOfLines);

        assertEquals(numberOfLines, symbols.size());
        assertTrue(symbols.get(0).hasSymbol("A"));
        assertTrue(symbols.get(1).hasSymbol("B"));
        assertTrue(symbols.get(2).hasSymbol("C"));
        assertTrue(symbols.get(3).hasSymbol("D"));
        assertTrue(symbols.get(4).hasSymbol("E"));
        assertTrue(symbols.get(5).hasSymbol("F"));
        assertTrue(symbols.get(6).hasSymbol("G"));
        assertTrue(symbols.get(7).hasSymbol("H"));
        assertTrue(symbols.get(8).hasSymbol("I"));
        assertTrue(symbols.get(9).hasSymbol("J"));
        assertTrue(symbols.get(10).hasSymbol("K"));
        assertTrue(symbols.get(11).hasSymbol("L"));
        assertTrue(symbols.get(12).hasSymbol("M"));
        assertTrue(symbols.get(13).hasSymbol("N"));
        assertTrue(symbols.get(14).hasSymbol("O"));
        assertTrue(symbols.get(15).hasSymbol("P"));
        assertTrue(symbols.get(16).hasSymbol("Q"));
        assertTrue(symbols.get(17).hasSymbol("R"));
        assertTrue(symbols.get(18).hasSymbol("S"));
        assertTrue(symbols.get(19).hasSymbol("T"));
        assertTrue(symbols.get(20).hasSymbol("U"));
    }

    @Test
    public void createOrdnung5() {
        int order = 5;
        int numberOfLines = FiniteProjectivePlane.numberOfLines(order);
        assertEquals(31, numberOfLines);

        List<Symbol> symbols = Symbol.createSymbols(numberOfLines);
        assertEquals(numberOfLines, symbols.size());

        assertTrue(symbols.get(0).hasSymbol("A"));
        assertTrue(symbols.get(1).hasSymbol("B"));
        assertTrue(symbols.get(2).hasSymbol("C"));
        assertTrue(symbols.get(3).hasSymbol("D"));
        assertTrue(symbols.get(4).hasSymbol("E"));
        assertTrue(symbols.get(5).hasSymbol("F"));
        assertTrue(symbols.get(6).hasSymbol("G"));
        assertTrue(symbols.get(7).hasSymbol("H"));
        assertTrue(symbols.get(8).hasSymbol("I"));
        assertTrue(symbols.get(9).hasSymbol("J"));
        assertTrue(symbols.get(10).hasSymbol("K"));
        assertTrue(symbols.get(11).hasSymbol("L"));
        assertTrue(symbols.get(12).hasSymbol("M"));
        assertTrue(symbols.get(13).hasSymbol("N"));
        assertTrue(symbols.get(14).hasSymbol("O"));
        assertTrue(symbols.get(15).hasSymbol("P"));
        assertTrue(symbols.get(16).hasSymbol("Q"));
        assertTrue(symbols.get(17).hasSymbol("R"));
        assertTrue(symbols.get(18).hasSymbol("S"));
        assertTrue(symbols.get(19).hasSymbol("T"));
        assertTrue(symbols.get(20).hasSymbol("U"));
        assertTrue(symbols.get(21).hasSymbol("V"));
        assertTrue(symbols.get(22).hasSymbol("W"));
        assertTrue(symbols.get(23).hasSymbol("X"));
        assertTrue(symbols.get(24).hasSymbol("Y"));
        assertTrue(symbols.get(25).hasSymbol("Z"));
        assertTrue(symbols.get(26).hasSymbol("Ä"));
        assertTrue(symbols.get(27).hasSymbol("Ö"));
        assertTrue(symbols.get(28).hasSymbol("Ü"));
        assertTrue(symbols.get(29).hasSymbol("a"));
        assertTrue(symbols.get(30).hasSymbol("b"));
    }

    @Test
    public void createOrdnung7() {
        int order = 7;
        int numberOfLines = FiniteProjectivePlane.numberOfLines(order);
        assertEquals(57, numberOfLines);

        List<Symbol> symbols = Symbol.createSymbols(numberOfLines);
        assertEquals(numberOfLines, symbols.size());

        assertTrue(symbols.get(0).hasSymbol("A"));
        assertTrue(symbols.get(1).hasSymbol("B"));
        assertTrue(symbols.get(2).hasSymbol("C"));
        assertTrue(symbols.get(3).hasSymbol("D"));
        assertTrue(symbols.get(4).hasSymbol("E"));
        assertTrue(symbols.get(5).hasSymbol("F"));
        assertTrue(symbols.get(6).hasSymbol("G"));
        assertTrue(symbols.get(7).hasSymbol("H"));
        assertTrue(symbols.get(8).hasSymbol("I"));
        assertTrue(symbols.get(9).hasSymbol("J"));
        assertTrue(symbols.get(10).hasSymbol("K"));
        assertTrue(symbols.get(11).hasSymbol("L"));
        assertTrue(symbols.get(12).hasSymbol("M"));
        assertTrue(symbols.get(13).hasSymbol("N"));
        assertTrue(symbols.get(14).hasSymbol("O"));
        assertTrue(symbols.get(15).hasSymbol("P"));
        assertTrue(symbols.get(16).hasSymbol("Q"));
        assertTrue(symbols.get(17).hasSymbol("R"));
        assertTrue(symbols.get(18).hasSymbol("S"));
        assertTrue(symbols.get(19).hasSymbol("T"));
        assertTrue(symbols.get(20).hasSymbol("U"));
        assertTrue(symbols.get(21).hasSymbol("V"));
        assertTrue(symbols.get(22).hasSymbol("W"));
        assertTrue(symbols.get(23).hasSymbol("X"));
        assertTrue(symbols.get(24).hasSymbol("Y"));
        assertTrue(symbols.get(25).hasSymbol("Z"));
        assertTrue(symbols.get(26).hasSymbol("Ä"));
        assertTrue(symbols.get(27).hasSymbol("Ö"));
        assertTrue(symbols.get(28).hasSymbol("Ü"));
        assertTrue(symbols.get(29).hasSymbol("a"));
        assertTrue(symbols.get(30).hasSymbol("b"));
        assertTrue(symbols.get(31).hasSymbol("c"));
        assertTrue(symbols.get(32).hasSymbol("d"));
        assertTrue(symbols.get(33).hasSymbol("e"));
        assertTrue(symbols.get(34).hasSymbol("f"));
        assertTrue(symbols.get(35).hasSymbol("g"));
        assertTrue(symbols.get(36).hasSymbol("h"));
        assertTrue(symbols.get(37).hasSymbol("i"));
        assertTrue(symbols.get(38).hasSymbol("j"));
        assertTrue(symbols.get(39).hasSymbol("k"));
        assertTrue(symbols.get(40).hasSymbol("l"));
        assertTrue(symbols.get(41).hasSymbol("m"));
        assertTrue(symbols.get(42).hasSymbol("n"));
        assertTrue(symbols.get(43).hasSymbol("o"));
        assertTrue(symbols.get(44).hasSymbol("p"));
        assertTrue(symbols.get(45).hasSymbol("q"));
        assertTrue(symbols.get(46).hasSymbol("r"));
        assertTrue(symbols.get(47).hasSymbol("s"));
        assertTrue(symbols.get(48).hasSymbol("t"));
        assertTrue(symbols.get(49).hasSymbol("u"));
        assertTrue(symbols.get(50).hasSymbol("v"));
        assertTrue(symbols.get(51).hasSymbol("w"));
        assertTrue(symbols.get(52).hasSymbol("x"));
        assertTrue(symbols.get(53).hasSymbol("y"));
        assertTrue(symbols.get(54).hasSymbol("z"));
        assertTrue(symbols.get(55).hasSymbol("ä"));
        assertTrue(symbols.get(56).hasSymbol("ö"));
    }

    @Test
    public void createOrdnung8() {
        int order = 8;
        int numberOfLines = FiniteProjectivePlane.numberOfLines(order);
        assertEquals(73, numberOfLines);

        List<Symbol> symbols = Symbol.createSymbols(numberOfLines);
        assertEquals(numberOfLines, symbols.size());


        for (int i = 0; i < symbols.size(); ++i) {
            String expectedSymbol = Integer.toString(i + 1);
            assertTrue(symbols.get(i).hasSymbol(expectedSymbol));
        }
    }

    @Test
    public void equalTest() {
        Symbol s1 = new Symbol("A");
        Symbol s2 = new Symbol("A");
        assertTrue(s1 != s2);
        assertEquals(s1, s2);
    }

    @Test
    public void hashCodeTest() {
        Symbol s1 = new Symbol("A");
        Symbol s2 = new Symbol("A");
        assertTrue(s1 != s2);
        assertEquals(s1.hashCode(), s2.hashCode());
    }

}
